<?php
/**
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * jQuery prettyPhoto Plugin for Coppermine Photo Gallery
 * $Revision: XXXX $
 * $Author: tora60 $
 * $Date: XXXX $
 *
 * Coppermine version: 1.4.x
 */

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

if (defined('DISPLAYIMAGE_PHP')) {

    /* prettyPhoto laden */
    switch (true) {
        /* ab pragmaMx 1.12 */
        case method_exists('pmxHeader', 'add_lightbox'):
            pmxHeader::add_lightbox();
            break;
        case function_exists('pmxAddprettyPhoto');
            /* wenn das Plugin von TerraProject aktiviert ist, nichts machen */
            // http://www.pragmamx.org/Forum-topic-27444-start-msg194256.html#msg194256
            return;
        case file_exists(PMX_SYSTEM_DIR . DS . 'prettyPhoto' . DS . 'config.php'):
            /* vor pragmaMx 1.12, mit Plugin von TerraProject */
            pmxHeader::add_script(PMX_JAVASCRIPT_PATH . 'jquery/jquery.js');
            pmxHeader::add_script($thisplugin->fullpath . '/js/jquery.prettyPhoto.js');
            pmxHeader::add_style($thisplugin->fullpath . '/css/prettyPhoto.css', 'screen');
            pmxHeader::add_script($thisplugin->fullpath . '/plugin.js.php');
            break;
        default:
            /* vor pragmaMx 1.12 */
            pmxHeader::add_script(PMX_JAVASCRIPT_PATH . 'jquery/jquery.js');
            pmxHeader::add_script($thisplugin->fullpath . '/js/jquery.prettyPhoto.js');
            pmxHeader::add_style($thisplugin->fullpath . '/css/prettyPhoto.css', 'screen');
            /* Coppermine spezifische Einstellungen fr prettyPhoto laden */
            pmxHeader::add_script($thisplugin->fullpath . '/plugin.js');
    }

    /* Filter fr das Plugin laden */
    $thisplugin->add_filter('file_data', 'prettyPhoto_file_data');

    /* HTML der Funktion theme_html_picture() in themes.inc.php austauschen */
    function prettyPhoto_file_data($CURRENT_PIC_DATA)
    {
        if ($CURRENT_PIC_DATA['content'] == 'image') {
            $CURRENT_PIC_DATA['html'] = preg_replace('#<a[^>]+>#', '<a rel="pretty" href="' . get_pic_url($CURRENT_PIC_DATA, 'fullsize') . '">', $CURRENT_PIC_DATA['html']);
        }
        return $CURRENT_PIC_DATA;
    }
}

?>